KnownInputActions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.input
Class KnownInputActions

    java.lang.Object
      net.ctdp.rfdynhud.input.KnownInputActions

    public class KnownInputActions

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Field Summary
`static InputAction` | `DecBoost`
`static InputAction` | `IncBoost`
`static InputAction` | `ResetFuelConsumption`
`static InputAction` | `ResetLaptimesCache`
`static InputAction` | `ResetTopSpeeds`
`static InputAction` | `TempBoost`
`static InputAction` | `ToggleFixedViewedVehicle`
`static InputAction` | `TogglePlugin`
`static InputAction` | `ToggleWidgetVisibility`

Constructor Summary
`KnownInputActions()`

Method Summary
`static InputAction` | `get(java.lang.String name)`
`static InputAction[]` | `getAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TogglePlugin

    public static final InputAction TogglePlugin

### ToggleWidgetVisibility

    public static final InputAction ToggleWidgetVisibility

### ToggleFixedViewedVehicle

    public static final InputAction ToggleFixedViewedVehicle

### IncBoost

    public static final InputAction IncBoost

### DecBoost

    public static final InputAction DecBoost

### TempBoost

    public static final InputAction TempBoost

### ResetFuelConsumption

    public static final InputAction ResetFuelConsumption

### ResetTopSpeeds

    public static final InputAction ResetTopSpeeds

### ResetLaptimesCache

    public static final InputAction ResetLaptimesCache

Constructor Detail

### KnownInputActions

    public KnownInputActions()

Method Detail

### get

    public static final InputAction get(java.lang.String name)

### getAll

    public static final InputAction[] getAll()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD